Bug 2486 - Postgres SQL does not appear to be working.
Postgres SQL does not appear to be working.
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: postgresql (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-05-02 19:44 EDT by jhall
Modified: 2015-01-07 18:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-05-03 13:32:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jhall 1999-05-02 19:44:30 EDT
Starting postgresql service: /usr/bin/postmaster does not
find the database system.  Expected to find it in the PGDATA
directory "/var/lib/pgsql", but unable to open file with
pathname "/var/lib/pgsql/base/template1/pg_class".

No data directory -- can't proceed.
postmaster []

---------------------------------------------

[root@xanax] (pts/2) # ls /var/lib/pgsql
[root@xanax] (pts/2) #
Comment 1 Jeff Johnson 1999-05-03 13:32:59 EDT
You need to create a database before starting postmaster:
    su postgres
    /usr/bin/initdb --pgdata=/var/lib/pgsql --pglib=/usr/lib/pgsql

Note You need to log in before you can comment on or make changes to this bug.